OpenSceneGraph Forum Forum Index OpenSceneGraph Forum
Official forum which mirrors the existent OSG mailing lists. Messages posted here are forwarded to the mailing list and vice versa.
 
   FAQFAQ    SearchSearch    MemberlistMemberlist    RulesRules    UsergroupsUsergroups    RegisterRegister 
 Mail2Forum SettingsMail2Forum Settings  ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
   AlbumAlbum  OpenSceneGraph IRC ChatOpenSceneGraph IRC Chat   SmartFeedSmartFeed 

gstreamer plugin failing to build in osg 3.4.0


 
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> Plugins [osgPlugins]
View previous topic :: View next topic  
Author Message
woodsb02
Newbie


Joined: 21 Apr 2016
Posts: 8

PostPosted: Thu Apr 21, 2016 9:41 pm    Post subject:
gstreamer plugin failing to build in osg 3.4.0
Reply with quote

Hi,

I am attempting to build OpenSceneGraph 3.4.0 on FreeBSD 10.2 (with clang 3.4.1 and cmake 3.5.2).

The osgdb_gstreamer is failing during the build with the following error (full build log also attached):

Quote:
[ 94%] Linking CXX shared module ../../../lib/osgPlugins-3.4.0/osgdb_gstreamer.so
cd /wrkdirs/usr/ports/graphics/osg/work/.build/src/osgPlugins/gstreamer && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/osgdb_gstreamer.dir/link.txt --verbose=1
/usr/bin/c++ -fPIC -O2 -pipe -fstack-protector -fno-strict-aliasing -Wall -Wparentheses -Wno-long-long -Wno-import -Wreturn-type -Wmissing-braces -Wunknown-pragmas -Wunused -Wno-overloaded-virtual -Wno-variadic-macros -O2 -pipe -fstack-protector -fno-strict-aliasing -fstack-protector -shared -o ../../../lib/osgPlugins-3.4.0/osgdb_gstreamer.so CMakeFiles/osgdb_gstreamer.dir/GStreamerImageStream.o CMakeFiles/osgdb_gstreamer.dir/ReaderWriterGStreamer.o ../../../lib/libosgDB.so.3.4.0 ../../../lib/libosgUtil.so.3.4.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lgstapp-1.0 -lgstbase-1.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl -lgstpbutils-1.0 -lgstreamer-1.0 -lgobject-2.0 -lglib-2.0 -lintl /usr/local/lib/libglib-2.0.so /usr/local/lib/libgobject-2.0.so ../../../lib/libosg.so.3.4.0 ../../../lib/libOpenThreads.so.3.3.0 -pthread -lm -lz /usr/local/lib/libGL.so -lgstapp-1.0 -lgstbase-1.0 -lgstpbutils-1.0 /usr/local/lib/libglib-2.0.so /usr/local/lib/libgobject-2.0.so -Wl,-rpath,/wrkdirs/usr/ports/graphics/osg/work/.build/lib:/usr/local/lib:
/usr/bin/ld: cannot find -lgstreamer-1.0
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1


Any ideas how to fix this? It appears to be because the gstreamer libraries are not linked into this build with -L/usr/local/lib, however I can confirm they are installed in that directory under the gstreamer-1.0 sub-directory.

Thank you in advance,
Ben
Back to top
View user's profile Send private message
Alberto Luaces
Guest





PostPosted: Mon Apr 25, 2016 5:47 pm    Post subject:
gstreamer plugin failing to build in osg 3.4.0
Reply with quote

Hi Ben,

can you post the value of all the GSTREAMER_* cmake variables? Maybe
that could be used as a clue.

--
Alberto



------------------
Post generated by Mail2Forum
Back to top
Display posts from previous:   
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> Plugins [osgPlugins] All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Similar Topics
Topic Author Forum Replies Posted
No new posts Adding WOFF extension to freetype plugin robertosfield Submission 0 Mon Jul 17, 2017 3:48 pm View latest post
No new posts osg plugin couldn't load an osgb or i... first_gle General 2 Sat May 27, 2017 3:52 am View latest post
No new posts iOS build guide locked/checked out on... tomhog General 2 Fri Apr 21, 2017 10:43 pm View latest post
No new posts PLY Plugin uwew Submission 0 Sat Apr 08, 2017 6:26 am View latest post
No new posts Guidance on zip-plugin fix SMesserschmidt General 0 Thu Feb 16, 2017 1:59 pm View latest post


Board Security Anti Bot Question MOD - phpBB MOD against Spam Bots
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP